Package org.jbpm.services.task.utils

## Class TaskFluent

- java.lang.Object
- - org.jbpm.services.task.utils.TaskFluent

-     public class TaskFluent
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskFluent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TaskFluent` | `addI18NDescription​(String language, String description)` |
    `TaskFluent` | `addI18NName​(String language, String name)` |
    `TaskFluent` | `addI18NSubject​(String language, String subject)` |
    `TaskFluent` | `addPotentialGroup​(String groupId)` |
    `TaskFluent` | `addPotentialUser​(String userId)` |
    `org.kie.api.task.model.Task` | `getTask()` |
    `TaskFluent` | `setAdminGroup​(String groupId)` |
    `TaskFluent` | `setAdminUser​(String userId)` |
    `TaskFluent` | `setCreatedBy​(String userId)` |
    `TaskFluent` | `setCreatedOn​(Date createdOn)` |
    `TaskFluent` | `setDeploymentID​(String deploymentId)` |
    `TaskFluent` | `setDescription​(String description)` |
    `TaskFluent` | `setDueDate​(Date dueDate)` |
    `TaskFluent` | `setFormName​(String formName)` |
    `TaskFluent` | `setName​(String name)` |
    `TaskFluent` | `setParentId​(long parentId)` |
    `TaskFluent` | `setPriority​(int priority)` |
    `TaskFluent` | `setProcessId​(String processId)` |
    `TaskFluent` | `setProcessInstanceId​(long processInstanceId)` |
    `TaskFluent` | `setProcessSessionId​(int processSessionId)` |
    `TaskFluent` | `setSubject​(String subject)` |
    `TaskFluent` | `setWorkItemId​(long workItemId)` |
    `TaskFluent` | `setWorkItemId​(String deploymentId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskFluent

          public TaskFluent()

  - ### Method Detail

    - #### getTask

          public org.kie.api.task.model.Task getTask()

    - #### setName

          public TaskFluent setName​(String name)

    - #### setDescription

          public TaskFluent setDescription​(String description)

    - #### setSubject

          public TaskFluent setSubject​(String subject)

    - #### setWorkItemId

          public TaskFluent setWorkItemId​(long workItemId)

    - #### setWorkItemId

          public TaskFluent setWorkItemId​(String deploymentId)

    - #### setProcessId

          public TaskFluent setProcessId​(String processId)

    - #### setProcessInstanceId

          public TaskFluent setProcessInstanceId​(long processInstanceId)

    - #### setProcessSessionId

          public TaskFluent setProcessSessionId​(int processSessionId)

    - #### setParentId

          public TaskFluent setParentId​(long parentId)

    - #### setCreatedBy

          public TaskFluent setCreatedBy​(String userId)

    - #### setCreatedOn

          public TaskFluent setCreatedOn​(Date createdOn)

    - #### setDueDate

          public TaskFluent setDueDate​(Date dueDate)

    - #### addI18NName

          public TaskFluent addI18NName​(String language,
                                        String name)

    - #### addI18NDescription

          public TaskFluent addI18NDescription​(String language,
                                               String description)

    - #### addI18NSubject

          public TaskFluent addI18NSubject​(String language,
                                           String subject)

    - #### setPriority

          public TaskFluent setPriority​(int priority)

    - #### addPotentialUser

          public TaskFluent addPotentialUser​(String userId)

    - #### addPotentialGroup

          public TaskFluent addPotentialGroup​(String groupId)

    - #### setAdminUser

          public TaskFluent setAdminUser​(String userId)

    - #### setAdminGroup

          public TaskFluent setAdminGroup​(String groupId)

    - #### setFormName

          public TaskFluent setFormName​(String formName)

    - #### setDeploymentID

          public TaskFluent setDeploymentID​(String deploymentId)